package me.yoqi.app.quizassist;

import android.content.Context;
import android.util.Log;
import java.util.ArrayList;

import me.yoqi.app.quizassist.activities.MainActivity;
import me.yoqi.app.quizassist.model.Topic;

/**
 * Created by lll on 2018/1/13.
 * 搜索引擎
 */
public class SearchEngines {

    private static final String TAG = "SearchEngines";
    private static final ArrayList<Topic> mHistory = new ArrayList<>();
    public static void clearHistory() {
        mHistory.clear();
    }

    /** 搜索函数
     * @param context
     * @param topic
     */
    public static void search(Context context, Topic topic) {
        //已经搜索过 ， 不再重复搜索
        if (mHistory.contains(topic)) {
            Log.e(TAG, "已经搜索过的问题");
            return;
        }
        mHistory.add(topic);
        Log.e(TAG,topic.toString());
        MainActivity.start(context, getSearchUrls(topic), getSearchTitles(topic));
    }

    /** 设置搜索标题
     * @param topic 问答话题对象
     * @return titles
     */
    private static ArrayList<String> getSearchTitles(Topic topic) {
        ArrayList<String> titles = new ArrayList<>();
        titles.add("百度");
        titles.add("知道");
        titles.add("知乎");
        titles.add("百科");
//        titles.add("谷歌");
        return titles;
    }

    /** 根据提问生成问题url
     * @param topic 问答话题对象
     * @return urls
     */
    private static ArrayList<String> getSearchUrls(Topic topic) {
        ArrayList<String> urls = new ArrayList<>();
        String keyword = topic.getQuestion();
        urls.add("https://m.baidu.com/from=0a/pu=sz%401321_480/s?word=" + keyword + "&rn=30&tn=baidulocal");
        urls.add("https://m.baidu.com/from=0a/pu=sz%401321_480/s?word=site:zhidao.baidu.com " + keyword + "&rn=30&tn=baidulocal");
        urls.add("https://m.baidu.com/from=0a/pu=sz%401321_480/s?word=site:www.zhihu.com " + keyword + "&rn=30&tn=baidulocal");
        urls.add("https://m.baidu.com/from=0a/pu=sz%401321_480/s?word=site:baike.baidu.com " + keyword + "&rn=30&tn=baidulocal");
//        urls.add("https://www.google.com/search?q=" + keyword + "&aqs=chrome..69i57.13964j0j7&sourceid=chrome-mobile&ie=UTF-8");

        return urls;
    }
}
