package me.yoqi.app.quizassist.model;

import android.os.Parcel;
import android.os.Parcelable;

import java.util.ArrayList;

/**
 * 问答话题模型
 * Created by liuyuqi on 2018/1/16.
 */

public class Topic implements Parcelable {

    /**
     * 问题
     */
    private String question;
    /**
     * 答案
     */
    private ArrayList<String> answers;

    /**
     * 构造函数
     *
     * @param in
     */
    protected Topic(Parcel in) {
        this.question = in.readString();
        this.answers = in.createStringArrayList();
    }

    /**
     * 构造函数
     *
     * @param question 初始化问题
     */
    public Topic(String question) {
        this.question = question;
    }

    /**
     * get函数
     *
     * @return
     */
    public String getQuestion() {
        return question;
    }

    /**
     * set函数
     *
     * @param question
     */
    public void setQuestion(String question) {
        this.question = question;
    }

    /**
     * get函数
     *
     * @return
     */
    public ArrayList<String> getAnswers() {
        return answers;
    }

    /**
     * set函数
     *
     * @param answers
     */
    public void setAnswers(ArrayList<String> answers) {
        this.answers = answers;
    }

    /**
     * 增加问题
     *
     * @param answers
     */
    public void addAnswer(String answers) {
        if (this.answers == null) this.answers = new ArrayList<>();
        this.answers.add(answers);
    }

    public static final Creator<Topic> CREATOR = new Creator<Topic>() {
        @Override
        public Topic createFromParcel(Parcel in) {
            return new Topic(in);
        }

        @Override
        public Topic[] newArray(int size) {
            return new Topic[size];
        }
    };

    @Override
    public String toString() {
        return "Topic{" +
                "question='" + question + '\'' +
                ", answers=" + answers +
                '}';
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(this.question);
        dest.writeStringList(this.answers);
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        Topic topic = (Topic) o;

        return (question != null ? question.equals(topic.question) : topic.question == null) && (answers != null ? answers.equals(topic.answers) : topic.answers == null);
    }

    @Override
    public int hashCode() {
        int result = question != null ? question.hashCode() : 0;
        result = 31 * result + (answers != null ? answers.hashCode() : 0);
        return result;
    }
}
