package me.yoqi.app.quizassist.services;

import android.accessibilityservice.AccessibilityService;
import android.view.KeyEvent;
import android.view.accessibility.AccessibilityEvent;

import java.util.ArrayList;

import me.yoqi.app.quizassist.tasks.BaiWanYingXiongJob;
import me.yoqi.app.quizassist.tasks.ChongDingDaHuiJob;
import me.yoqi.app.quizassist.tasks.HuaJiaoZhiBoJob;
import me.yoqi.app.quizassist.tasks.QAAssistJob;
import me.yoqi.app.quizassist.tasks.ZhiShiChaoRenJob;

/**
 *直播答题助手服务
 */
public class AssistService extends AccessibilityService {

    public static final String TAG = "AssistService";
    public static final ArrayList<Class<? extends QAAssistJob>> JOBS = new ArrayList<>();
    public final ArrayList<QAAssistJob> mQAAssistJobs = new ArrayList<>();
    private static AssistService aService = null;

    static {
        register(ChongDingDaHuiJob.class);
        register(ZhiShiChaoRenJob.class);
        register(BaiWanYingXiongJob.class);
        register(HuaJiaoZhiBoJob.class);
    }

    public static void register(Class<? extends QAAssistJob> job) {
        JOBS.add(job);
    }

    @SuppressWarnings("unused")
    public static void unregister(Class<? extends QAAssistJob> job) {
        JOBS.remove(job);
    }

    @Override
    public void onCreate() {
        super.onCreate();
    }

    @Override
    public void onDestroy() {
        super.onDestroy();
    }

    @Override
    protected void onServiceConnected() {
        super.onServiceConnected();
    }

    @Override
    protected boolean onGesture(int gestureId) {
        return super.onGesture(gestureId);
    }

    @Override
    protected boolean onKeyEvent(KeyEvent event) {
        return super.onKeyEvent(event);
    }

    public AssistService() {
    }

    @Override
    public void onAccessibilityEvent(AccessibilityEvent event) {

    }

    @Override
    public void onInterrupt() {

    }
}
